Grok AI'ya Soru Sor
Grok AI’ya Soru Sor.
API Belgelerine Dön
/Grok Endpoints
POST
/v3/twitter/grok/askAPI Yetkilendirmesi
AuthorizationBearer token · headerzorunluTwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/jsonpromptstringzorunluUser prompt.
conversation_idstring | anyContinue an existing Grok conversation.
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anymodelstring | anyOptional model id (default grok-3-latest).
default: "grok-3-latest"
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anycookiestringzorunluKullanıcının kendi yetkilendirilmiş Twitter oturum kimlik bilgileri veya auth_token (BYOC — Bring Your Own Cookie). Sıfır kimlik bilgisi saklama ile durum bilgisi olmayan proxy yürütmesi. [Kimlik Doğrulama Güvenliği](/tr/authentication#write-operations--byoc-bring-your-own-cookie) ve [Cookie Nasıl Alınır](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) sayfasına bakın.
proxystring | anyOptional HTTP proxy. Example: http://username:password@ip:port
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyYanıtlar
200Grok response result.
codeintegerzorunluHTTP durum kodu (200 başarılı anlamına gelir)
msgstringzorunluYanıt mesajı (örn: 'success')
dataGrokAskResult | anyUç nokta tarafından döndürülen ana veri
Özellikleri gösterÖzellikleri gizle
Any of:
GrokAskResult
conversation_idstringzorunluGrok conversation id
user_chat_item_idstring | anyUser chat item id
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyagent_chat_item_idstring | anyAgent chat item id
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anymessagestringzorunluFinal assistant message
reasoningstring | anyReasoning text
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anysoft_stopboolean | anyWhether response soft-stopped
Özellikleri gösterÖzellikleri gizle
Any of:
boolean
booleanany
anyfollow_up_suggestionsGrokFollowUpSuggestion[]Follow-up suggestions
Özellikleri gösterÖzellikleri gizle
Array of
GrokFollowUpSuggestionlabelstringzorunluSuggestion label
propertiesobject | anySuggestion properties
Özellikleri gösterÖzellikleri gizle
Any of:
object
objectany
anytools_overridesobject | anyTools overrides
Özellikleri gösterÖzellikleri gizle
Any of:
object
objectany
anyany
any422Parametre Doğrulama Hatası
detailValidationError[]Özellikleri gösterÖzellikleri gizle
Array of
ValidationErrorlocstring | integer[]zorunluÖzellikleri gösterÖzellikleri gizle
Array of
string | integerAny of:
string
stringinteger
integermsgstringzorunluYanıt mesajı (örn: 'success')
typestringzorunluinputanyctxobject⚡Etkileşimli KonsolPOST
⚡Etkileşimli Konsol / API TestiPOSTLive Console
🌐Hedef Sunucu:
https://api.twexapi.io● Canlı Ortam Hazır
✍️
Yazma İşlemi Kimlik Kılavuzu (TwexAPI Anahtarı + Twitter Çerezi)
1. TwexAPI Anahtarı (Bearer Token): İstek faturalandırması ve kimlik doğrulama için aşağıdaki "API Yetkilendirmesi"ne girin.
2. Twitter Hesabı Çerezi: Yazma işlemleri için (tweet, beğeni, takip), aşağıdaki cookie alanına hedef hesabın Çerezini (örn. auth_token=...; ct0=...) girin.
🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
İstek
curl -X POST "https://api.twexapi.io/v3/twitter/grok/ask" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Say hi in one sentence.",
"conversation_id": "2076320454898278729",
"model": "grok-3-latest",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/v3/twitter/grok/ask", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"prompt": "Say hi in one sentence.",
"conversation_id": "2076320454898278729",
"model": "grok-3-latest",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/v3/twitter/grok/ask",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"prompt": "Say hi in one sentence.",
"conversation_id": "2076320454898278729",
"model": "grok-3-latest",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
},
)Yanıt
{
"code": 200,
"msg": "success",
"data": {
"conversation_id": "2076320454898278729",
"user_chat_item_id": "string",
"agent_chat_item_id": "string",
"message": "Hi there!",
"reasoning": "Thinking about your request",
"soft_stop": true,
"follow_up_suggestions": [
{
"label": "Learn about conversational AI",
"properties": {},
"tools_overrides": {}
}
]
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}